% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bpcm.R
\name{bpcm}
\alias{bpcm}
\title{Compute Bayesian Partial Credit Model (BPCM) for polytomous and dichotomous items}
\usage{
bpcm(
  df = NULL,
  grp = NULL,
  is.dif = NULL,
  is.unif = NULL,
  priors = NULL,
  param = list(),
  verbose = T,
  diag.plots = F
)
}
\arguments{
\item{df}{data.frame containing the response data}

\item{grp}{vector containing the column where an optional group membership variable is stored in df}

\item{is.dif}{indicator vector containing 1 at the inded of each DIF item in df and 0 otherwise}

\item{is.unif}{indicator vector containing 1 at the inded of each uniform DIF item in df and 0 otherwise}

\item{diag.plots}{boolean indicating whether the JAGS diagnosis plots should be displayed}

\item{prior}{prior function to be used}
}
\value{
A data.frame containing various model outputs
}
\description{
This function computes a bayesian PCM, potentially accounting for DIF on specified items
}
