% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pcm.R
\name{pcm}
\alias{pcm}
\title{Compute Partial Credit Model (PCM) for polytomous and dichotomous items}
\usage{
pcm(
  df = NULL,
  items = NULL,
  grp = NULL,
  dif.items = NULL,
  type.dif = NULL,
  verbose = T,
  fit = "ucminf",
  method.theta = "eap"
)
}
\arguments{
\item{df}{data.frame containing the data}

\item{items}{vector containing the names of columns where item responses are stored in df}

\item{grp}{string containing the name of the column where an optional group membership variable is stored in df}

\item{dif.items}{vector containing the list of indexes in "items" corresponding to dif items}

\item{type.dif}{vector containing DIF form for each item specified in dif.items. 1 is homogeneous DIF, 0 is heterogeneous DIF}

\item{verbose}{set to TRUE to print a detailed output, FALSE otherwise}

\item{fit}{string determining the optimization algorithm. Values "ucminf" or "nlminb" ar recommended}

\item{method.theta}{string determining the estimation method for individual latent variable values. Either "eap", "mle" or "wle"}
}
\value{
A data.frame containing various model outputs
}
\description{
This function computes a frequentist PCM, potentially accounting for DIF on specified items
}
