% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/residif.R
\name{residif}
\alias{residif}
\title{RESIDIF procedure for DIF detection as per Andrich and Hagquist (2015)}
\usage{
residif(df = NULL, items = NULL, grp = NULL, method.theta = "eap", verbose = T)
}
\arguments{
\item{df}{data.frame containing the data}

\item{items}{vector containing the names of columns where item responses are stored in df}

\item{grp}{vector containing the name of the column where an optional group membership variable is stored in df}

\item{method.theta}{string determining the estimation method for individual latent variable values. Either "eap", "mle" or "wle"}

\item{verbose}{set to TRUE to print a detailed output, FALSE otherwise}
}
\value{
A data.frame containing a column listing the detected DIF item and another listing detected DIF forms
}
\description{
This function detects DIF on PCM items using ANOVA of person-item residuals
}
